# grunt-contrib v0.8.0

> The entire grunt-contrib suite.



## Getting Started
This plugin requires Grunt `~0.4.0`

If you haven't used [Grunt](http://gruntjs.com/) before, be sure to check out the [Getting Started](http://gruntjs.com/getting-started) guide, as it explains how to create a [Gruntfile](http://gruntjs.com/sample-gruntfile) as well as install and use Grunt plugins. Once you're familiar with that process, you may install this plugin with this command:

```shell
npm install grunt-contrib --save-dev
```

Once the plugin has been installed, it may be enabled inside your Gruntfile with this line of JavaScript:

```js
grunt.loadNpmTasks('grunt-contrib');
```

### Overview
This collection contains all 25 grunt-contrib plugins.  We have made it available as a convenience for first-time users who would like to explore what Grunt has to offer.  After review, it is recommended that you uninstall this collection and specify the plugins you wish to use individually.

A listing of each plugin and the current version included in this package is listed below.


#### [grunt-contrib-clean](https://github.com/gruntjs/grunt-contrib-clean) (v0.5.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-clean.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-clean)
> Clean files and folders.

#### [grunt-contrib-coffee](https://github.com/gruntjs/grunt-contrib-coffee) (v0.7.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-coffee.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-coffee)
> Compile CoffeeScript files to JavaScript.

#### [grunt-contrib-compass](https://github.com/gruntjs/grunt-contrib-compass) (v0.6.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-compass.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-compass)
> Compile Sass to CSS using Compass

#### [grunt-contrib-compress](https://github.com/gruntjs/grunt-contrib-compress) (v0.5.2) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-compress.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-compress)
> Compress files and folders.

#### [grunt-contrib-concat](https://github.com/gruntjs/grunt-contrib-concat) (v0.3.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-concat.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-concat)
> Concatenate files.

#### [grunt-contrib-connect](https://github.com/gruntjs/grunt-contrib-connect) (v0.5.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-connect.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-connect)
> Start a connect web server.

#### [grunt-contrib-copy](https://github.com/gruntjs/grunt-contrib-copy) (v0.4.1) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-copy.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-copy)
> Copy files and folders.

#### [grunt-contrib-cssmin](https://github.com/gruntjs/grunt-contrib-cssmin) (v0.6.2) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-cssmin.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-cssmin)
> Compress CSS files.

#### [grunt-contrib-csslint](https://github.com/gruntjs/grunt-contrib-csslint) (v0.1.2) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-csslint.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-csslint)
> Lint CSS files.

#### [grunt-contrib-handlebars](https://github.com/gruntjs/grunt-contrib-handlebars) (v0.5.11) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-handlebars.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-handlebars)
> Precompile Handlebars templates to JST file.

#### [grunt-contrib-htmlmin](https://github.com/gruntjs/grunt-contrib-htmlmin) (v0.1.3) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-htmlmin.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-htmlmin)
> Minify HTML

#### [grunt-contrib-imagemin](https://github.com/gruntjs/grunt-contrib-imagemin) (v0.3.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-imagemin.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-imagemin)
> Minify PNG and JPEG images

#### [grunt-contrib-jade](https://github.com/gruntjs/grunt-contrib-jade) (v0.8.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-jade.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-jade)
> Compile Jade templates.

#### [grunt-contrib-jasmine](https://github.com/gruntjs/grunt-contrib-jasmine) (v0.5.2) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-jasmine.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-jasmine)
> Run jasmine specs headlessly through PhantomJS.

#### [grunt-contrib-jshint](https://github.com/gruntjs/grunt-contrib-jshint) (v0.6.4) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-jshint.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-jshint)
> Validate files with JSHint.

#### [grunt-contrib-jst](https://github.com/gruntjs/grunt-contrib-jst) (v0.5.1) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-jst.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-jst)
> Precompile Underscore templates to JST file.

#### [grunt-contrib-less](https://github.com/gruntjs/grunt-contrib-less) (v0.7.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-less.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-less)
> Compile LESS files to CSS.

#### [grunt-contrib-nodeunit](https://github.com/gruntjs/grunt-contrib-nodeunit) (v0.2.1) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-nodeunit.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-nodeunit)
> Run Nodeunit unit tests.

#### [grunt-contrib-qunit](https://github.com/gruntjs/grunt-contrib-qunit) (v0.3.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-qunit.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-qunit)
> Run QUnit unit tests in a headless PhantomJS instance.

#### [grunt-contrib-requirejs](https://github.com/gruntjs/grunt-contrib-requirejs) (v0.4.1) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-requirejs.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-requirejs)
> Optimize RequireJS projects using r.js.

#### [grunt-contrib-sass](https://github.com/gruntjs/grunt-contrib-sass) (v0.5.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-sass.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-sass)
> Compile Sass to CSS

#### [grunt-contrib-stylus](https://github.com/gruntjs/grunt-contrib-stylus) (v0.8.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-stylus.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-stylus)
> Compile Stylus files to CSS.

#### [grunt-contrib-uglify](https://github.com/gruntjs/grunt-contrib-uglify) (v0.2.4) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-uglify.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-uglify)
> Minify files with UglifyJS.

#### [grunt-contrib-watch](https://github.com/gruntjs/grunt-contrib-watch) (v0.5.3) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-watch.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-watch)
> Run predefined tasks whenever watched file patterns are added, changed or deleted.

#### [grunt-contrib-yuidoc](https://github.com/gruntjs/grunt-contrib-yuidoc) (v0.5.0) [![Build Status](https://secure.travis-ci.org/gruntjs/grunt-contrib-yuidoc.png?branch=master)](http://travis-ci.org/gruntjs/grunt-contrib-yuidoc)
> Compile YUIDoc Documentation.



## Release History

 * 2013-10-15   v0.8.0   Use matchdep and peerDependencies to create collection.
 * 2013-03-26   v0.6.0   Minor version bumps in several grunt-contrib-* plugins.
 * 2013-03-07   v0.5.0   Add grunt-contrib-csslint Minor version bumps in several grunt-contrib-* plugins.
 * 2013-02-17   v0.4.0   Updated to include the entire grunt-contrib suite for Grunt v0.4.
 * 2012-09-23   v0.3.0   options no longer accepted from global config key.
 * 2012-09-10   v0.2.0   converted to grunt collection, all tasks in separate repos/packages.
 * 2012-08-27   v0.1.8   update dependencies to latest versions. bump: new task to assist with versioning (PR #111)
 * 2012-08-20   v0.1.7   add partial support to handlebars task (PR update package.json for latest stylus (PR copy: add minimatch option (PR #105)
 * 2012-08-13   v0.1.6   less+stylus: correct concat logic and add tests. (#101) handlebars: add processName
 * 2012-08-06   v0.1.5   add nib as dependancy
 * 2012-07-30   v0.1.4   copy: sort test arrays before compare (PR #93) copy+compress: use basePath left to right (GH #92) handlebars: fix failing test in 1.0.6 less: prints 'undefined' when there are no stylesheets. (PR #89)
 * 2012-07-23   v0.1.3   bug fixes (#86) stylus: load nib if available (PR #87)
 * 2012-07-16   v0.1.2   bug fixes (#84) basePath overhaul lint in strict mode variable declaration cleanup
 * 2012-07-09   v0.1.1   bug fixes task overhaul yuidoc task addition prep for grunt v0.4
 * 2012-06-28   v0.0.9   task cleanup copy task addition
 * 2012-06-12   v0.0.7   requirejs task addition
 * 2012-06-03   v0.0.5   task cleanup zip task addition
 * 2012-05-01   v0.0.1   initial release

---

Task submitted by [Tyler Kellen](http://goingslowly.com)

*This file was generated on Tue Oct 15 2013 16:05:52.*
